﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MVPViewState.Business.DomainObjects;
using MVPViewState.Business.Presenters;
using MVPViewstate.Code;
using MVPViewState.Business.ViewInterfaces;

namespace MVPViewstate
{
    public partial class Withoutviewstate1 : BasePageWithoutViewstate,IWithoutViewstateView1
    {
        protected override IPresenter CreatePresenter()
        {
            return new WithoutViewstate1Presenter(this);
        }

        protected override void CreateEventhandlers()
        {
            ButtonToggleValuevisible.Click += (s, e) => ToggleLabelVisibleClicked(s, e);
        }

        public ICollection<MyDataObject> TheData
        {
            set
            {
                foreach (var o in value)
                    DropDownListData.Items.Add(new ListItem(o.Name, o.Value));
            }
        }

        public string SelectedValue
        {
            get { return DropDownListData.SelectedValue; }
        }

        public string LabelSelectedValueText
        {
            set { LabelSelectedValue.Text = value; }
        }

        public bool IsLabelVisible
        {
            get { return GetPageParamAsBool("LabelVisible"); }
            set
            {
                SetPageParam("LabelVisible", value);
                LabelSelectedValue.Visible = value;
            }
        }

        public string ToggleButtonText
        {
            set { ButtonToggleValuevisible.Text= value; }
        }

        public event EventHandler ToggleLabelVisibleClicked;
    }
}
