﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MVPViewState.Business.DomainObjects;
using MVPViewState.Business.Presenters;
using MVPViewState.Business.ViewInterfaces;
using MVPViewstate.Code;

namespace MVPViewstate
{
    public partial class Withoutviewstate2 :  BasePageWithoutViewstate,IWithoutViewstateView2
    {
        protected override IPresenter CreatePresenter()
        {
            return new WithoutViewstate2Presenter(this);
        }
        protected override void CreateEventhandlers()
        {
            ButtonToggleValuevisible.Click += (s, e) => ToggleLabelVisibleClicked(s, e);
        }
        public ICollection<MyDataObject> TheData
        {
            set
            {
                foreach (var o in value)
                    DropDownListData.Items.Add(new ListItem(o.Name, o.Value));
            }
        }
        public string SelectedValue
        {
            set { DropDownListData.SelectedValue = value; }
            get { return Request.Form[DropDownListData.UniqueID]; }
        }
        public string LabelSelectedValueText
        {
            set { LabelSelectedValue.Text = value; }
        }
        public bool IsLabelVisible
        {
            get { return GetPageParamAsBool("LabelVisible"); }
            set
            {
                SetPageParam("LabelVisible", value);
                LabelSelectedValue.Visible = value;
            }
        }
        public string ToggleButtonText
        {
            set { ButtonToggleValuevisible.Text= value; }
        }
        public event EventHandler ToggleLabelVisibleClicked;
    }

}
